> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disassociate a phone number

> Remove a phone number from Number Reputation monitoring for an enterprise.

The number will no longer be tracked and reputation data will no longer be refreshed.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/phone-numbers.yml delete /enterprises/{enterprise_id}/reputation/numbers/{phone_number}
openapi: 3.1.0
info:
  title: Telnyx Phone Number Reputation API
  version: 2.0.0
  description: >-
    Associate phone numbers for reputation monitoring, query spam scores and
    risk levels, and manage ongoing monitoring. Includes simplified endpoints
    for single-enterprise accounts.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises/{enterprise_id}/reputation/numbers/{phone_number}:
    delete:
      tags:
        - Reputation Phone Numbers
      summary: Disassociate a phone number
      description: >-
        Remove a phone number from Number Reputation monitoring for an
        enterprise.


        The number will no longer be tracked and reputation data will no longer
        be refreshed.
      operationId: DisassociateReputationNumber
      parameters:
        - $ref: '#/components/parameters/EnterpriseId'
        - $ref: '#/components/parameters/PhoneNumber'
      responses:
        '204':
          description: Phone number disassociated successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.enterprises.reputation.numbers.disassociate('+16035551234', {
              enterprise_id: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.enterprises.reputation.numbers.disassociate(
                phone_number="+16035551234",
                enterprise_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Enterprises.Reputation.Numbers.Disassociate(\n\t\tcontext.TODO(),\n\t\t\"+16035551234\",\n\t\ttelnyx.EnterpriseReputationNumberDisassociateParams{\n\t\t\tEnterpriseID: \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.enterprises.reputation.numbers.NumberDisassociateParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NumberDisassociateParams params = NumberDisassociateParams.builder()
                        .enterpriseId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .phoneNumber("+16035551234")
                        .build();
                    client.enterprises().reputation().numbers().disassociate(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.enterprises.reputation.numbers.disassociate(
              "+16035551234",
              enterprise_id: "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
            )

            puts(result)
        - lang: CLI
          source: |-
            telnyx enterprises:reputation:numbers disassociate \
              --api-key 'My API Key' \
              --enterprise-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
              --phone-number +16035551234
components:
  parameters:
    EnterpriseId:
      name: enterprise_id
      in: path
      required: true
      description: Unique identifier of the enterprise (UUID)
      schema:
        type: string
        format: uuid
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
    PhoneNumber:
      name: phone_number
      in: path
      required: true
      description: Phone number in E.164 format
      schema:
        type: string
        example: '+16035551234'
  responses:
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  schemas:
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````